import { Zone } from './Zone';
import { Port } from './Port';

export interface Host {
    id?: number;
    ipv4?: string;
    ipv6?: string;
    mac?: string;
    os?: string;
    discoveredDate?: Date;
    zone?: Zone;
    target?: boolean;

    ports?: Map<number, Port> | null;
    portList?: Port[] | null;
}
