import {MetaInputType} from './MetaInputType';
import {MetaCrawler} from './MetaCrawler';

export interface MetaCrawlerInputItem {
  id?: number;
  inputType?: MetaInputType;
  crawler?: MetaCrawler;
  description?: string;
  name?: string;
  createDate?: Date;
  required?: boolean;
  defaultValue?: string;
  pattern?: string;
  keyName?: string;
  keyValue?: string;
}